
#include <rpcrts.h>

typedef    rpc_byte my_array[10000];

rpc_handle h_timesub;

test(a_seq, l_seq)
    my_array a_seq;
    rpc_integer l_seq;

{   rpc_message *rpc_p_buf;
    register rpc_integer rpc_a;

    c_begin(rpc_p_buf, h_timesub, /*vers=*/6455, /*proc=*/1);
   pck_integer(rpc_p_buf, l_seq);
   for (rpc_a = 0; rpc_a< l_seq; rpc_a++) {
          if (rpc_p_buf->m_index > RPC_BUFFER_SIZE - 1) (void)rpc_put(&rpc_p_buf);
      pck_byte(rpc_p_buf, a_seq[rpc_a]);
         }
    c_call(h_timesub, rpc_p_buf, -1);
    c_dispose(rpc_p_buf);
    }

open_timesub()
{   rpc_status       status;

    c_open(status, h_timesub, "timesub                                 ");
    c_report_error(status);
    }
close_timesub()
{   rpc_status       status;

    c_close(status, h_timesub);
    c_report_error(status);
    }
